<?php
if (!defined('HUCART_COM')) exit('HuCart.COM No direct script access allowed');
class Ad_position extends HC_Controller
{
	//注意无须构造函数,使用了构造函数得重构父类 parent::__construct();
	var $master_act = 'ad_position';
	var $info_prefix = 'adp_';
	function __construct()
	{
		parent::__construct();	
		$this -> load_lang('adminsys/'.$this -> master_act);
		$this -> view -> assign('master_act', $this -> master_act);
		$this -> view -> assign('info_prefix',	$this -> info_prefix);
		$this -> load('admin');
		$this -> admin -> online_admin();
		$this -> load_db();
		$this -> load('helper');     //加载辅助类
		$this -> load_model('sort'); //加载分类模型
	}


	function info_list(  )
	{
		$keyword 	= $this -> input -> req["keyword"];
		$list_val   = $this -> input -> req["list_val"];
		$list_type  = $this -> input -> req["list_type"];

		$table_arr['where_add'] = '';

		if($keyword!='')
		{ 	
			$table_arr['where_add'] .= " AND ( adp_name LIKE  '%".$keyword."%' )";  
		}
		

		$table_arr['order_by']  = 'adp_id';
		if($list_val!='' and $list_type =='DESC' )
		{
			$table_arr['order_by'] = $list_val ."  DESC ";
		}elseif($list_val!='' and $list_type =='ASC')
		{
			$table_arr['order_by'] = $list_val." ASC";
		}else{
			$table_arr['order_by'] =  'adp_id';
		}

		$this -> load('page',$this->lang['page']);

		//列表字段显示
		$show_arr = array('adp_id' => array('th'=>1,'td'=>'id'),'adp_name'=> array('th'=>0,'td'=>''),'adp_width'=> array('th'=>1,'td'=>''),'adp_height'=> array('th'=>1,'td'=>''),'adp_desc'=>array('th'=>1,'td'=>'') );
		
		$field_show = $this -> helper -> get_th_list( $show_arr , $list_val , $list_type ,  $this->lang['field_list'] );

		$table_arr['table']		= $this -> master_act;
 	
		$table_arr['prefix'] 	= $this -> db -> prefix;
		$table_arr['field_arr'] = array_keys($show_arr);
		$table_arr['def_where'] = ' 1 ';
		$table_arr['group_by']  = '';
		$table_arr['limit_val'] = $this -> page ->get_limit_val();
		
		$re_sql   = $this -> helper -> get_list_sql( $table_arr );

		//var_dump($re_sql);
		
		$info 	  = $this -> db -> select_info( $re_sql['sql_list'] );
		
		$key_arr['adp_enabled'] = $this->lang['enabled_arr'];

		$opt = array( 'edit'=> $this->lang['edit'], 'delete'=> $this->lang['delete']);

		$td_rows  = $this -> helper -> get_td_list( $info , $show_arr ,$key_arr , $this -> master_act, $opt );
		
		$count 	  = $this -> db -> select_one( $re_sql['sql_count'] );

		$page_str = $this -> page ->get_admin_page( $count["CNUM"] );
		
		$this -> view -> assign('keyword',		$keyword);

		$this -> view -> assign('list_val',		$list_val);
		$this -> view -> assign('list_type',	$list_type);
		
		$this -> view -> assign('colspan_val',	count($show_arr)+1);
		$this -> view -> assign('field_show',	$field_show);
		$this -> view -> assign('page_str',		$page_str);
		$this -> view -> assign('td_rows',		$td_rows);


		$this -> view -> display('item_list.tpl');



	}




	function delete( )
	{
		$info_id   = $this -> input ->  get["id"];
		$insert_ip = " DELETE FROM `".$this -> db -> prefix.$this -> master_act."` WHERE `adp_id` in ( $info_id ) ";

		$this -> db -> query_sql($insert_ip);
		$this -> view ->  assign('info_title',$this->lang['del_success']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
		$this -> view ->  display('suggestion.tpl');
	}
	
	
	function show( )
	{
		$info_id = $this -> input ->  get["id"];
		$upshow = " UPDATE `".$this -> db -> prefix.$this -> master_act."` SET adp_school = 1  WHERE `adp_id` in ( $info_id ) ";

		$this -> db -> query_sql($upshow);
		$this -> view ->  assign('info_title',$_LANG['bd_showsusse']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
		$this -> view ->  display('suggestion.tpl');
	}
	
	function hide( )
	{
		//$indel = implode(',', $delArray);
		$info_id = $this -> input ->  get["id"];
		
		$up_hide = " UPDATE `".$this -> db -> prefix.$this -> master_act."` SET adp_school = 0  WHERE  `adp_id` in ( $info_id ) ";
		$this -> db -> query_sql($up_hide);
		
		$this -> view ->  assign('info_title',$_LANG['bd_hidesusse']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
		$this -> view ->  display('suggestion.tpl');
	}



	
	function info(  )
	{
		$act_type 	= $this -> input -> get["act_type"];
		
		if($act_type=='edit'){
			
			$id_val = $this -> input ->  get["id"];

			$sql_query = " SELECT *  FROM  ".$this -> db -> prefix.$this -> master_act."  WHERE adp_id = '".$id_val."' ORDER BY `adp_id` ";
			$info = $this -> db -> select_one($sql_query);
			
			$resume_ckeditorLoad 	= $this -> helper -> load_ckeditor( 'adp_resume' ,$info['adp_resume'],'Basic');//加载文本编辑器
			$this -> view -> assign( 'resume_ckeditorLoad', $resume_ckeditorLoad);
			
			$this -> view -> assign('txt_title',  $this->lang['edit_title']);
			$this -> view -> assign('edit_submit', $this->lang['edit']);
			$this -> view -> assign('info',$info);
			$this -> view -> assign('act_type',$act_type);
			$this -> view -> assign('sort_select_str',$sort_select_str);
			$this -> view -> assign('act_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=edit_info&act_type=edit");
			
			
		}else{

			$resume_ckeditorLoad 	= $this -> helper -> load_ckeditor( 'adp_resume' ,'','Basic');//加载文本编辑器
			$this -> view -> assign( 'resume_ckeditorLoad', $resume_ckeditorLoad);

			$this -> view -> assign('act_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=edit_info&act_type=add");
			
			$this -> view -> assign('act_type',$act_type);
			$this -> view -> assign('txt_title',$this->lang['add_title']);
			$this -> view -> assign('edit_submit', $this-> lang['add']);
			
		}

		$this -> view ->  display('ad_position_edit.tpl');
	
	}
	
	
	function edit_info( )
	{	
	
		$adp_id 			= $this -> input ->  funpost("adp_id");
		$adp_name 			= $this -> input ->  funpost("adp_name");
		$adp_width 			= $this -> input ->  funpost("adp_width");
		$adp_height 		= $this -> input ->  funpost("adp_height");
		$adp_desc 			= $this -> input ->  funpost("adp_desc");

		$adp_enabled 		= $this -> input ->  funpost("adp_enabled");
 

		
		$act_type = $this -> input ->  req["act_type"];


		
		if($act_type=='edit')
		{

		
			if($adp_name !='' and  $adp_width !='' and $adp_id !='')
			{
				 $update = "UPDATE `".$this -> db -> prefix.$this -> master_act."` SET  adp_name = '".$adp_name."' , adp_width = '".$adp_width."' , adp_height = '".$adp_height."' , adp_enabled = '".$adp_enabled."', adp_desc = '".$adp_desc."' WHERE  adp_id = '".$adp_id."' ";
				
				
				$this -> db -> query_sql( $update );
				
				$this -> view ->  assign('info_title',$this->lang['edit_success']);
				$this -> view ->  assign('URL_TIME',URL_TIME);
				$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
				$this -> view ->  display('suggestion.tpl');
	
		
			}else{
			
				$this -> view ->  assign('info_title',$this->lang['err_info_missing']);
				$this -> view ->  assign('URL_TIME',URL_TIME);
				$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info&id=".$adp_id);
				$this -> view ->  display('suggestion.tpl');	
			}
		

		}else{
			
				if($adp_name !='' and  $adp_width !='')
				{
					$sql_query = " SELECT count(1) as LNUM  FROM  ".$this -> db -> prefix.$this -> master_act."  WHERE adp_name = '".$adp_name."' ORDER BY `adp_id` ";
					$info = $this -> db -> select_one($sql_query);


					if( $info["LNUM"] < 1 )
					{
 
						
						$insert_sql =" INSERT INTO `".$this -> db -> prefix.$this -> master_act."` (
						`adp_name` ,`adp_width` , `adp_height` , `adp_desc`,`adp_enabled` ) 
						VALUES ( '$adp_name','$adp_width','$adp_height','$adp_desc','$adp_enabled')";
						
						$this -> db -> query_sql($insert_sql);
						$this -> view ->  assign('info_title',$this->lang['add_success']);
						$this -> view ->  assign('URL_TIME',URL_TIME);
						$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
						$this -> view ->  display('suggestion.tpl');	
					}else{
						
						$this -> view ->  assign('info_title',$this->lang['err_info_exist']);
						$this -> view ->  assign('URL_TIME',URL_TIME);
						$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info&act_type=add");
						$this -> view ->  display('suggestion.tpl');	
					}
					
				}else{
					
					$this -> view ->  assign('info_title',$this->lang['err_info_missing']);
					$this -> view ->  assign('URL_TIME',URL_TIME);
					$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info&act_type=add");
					$this -> view ->  display('suggestion.tpl');
				}
		}
		
	}




		
}